Python
import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"),
)
run = client.agents.runs.create(
agent_id="7c9e6679-7425-40de-944b-e07fc1f90ae7",
)
print(run)import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
environment: 'production',
});
const run = await client.agents.runs.create('7c9e6679-7425-40de-944b-e07fc1f90ae7');
console.log(run);use profound::*;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = ProfoundClient::builder()
.api_key(std::env::var("PROFOUND_API_KEY")?)
.build()?;
let response = client
.agents()
.runs()
.create("7c9e6679-7425-40de-944b-e07fc1f90ae7")
.send()
.await?;
println!("{:?}", response);
Ok(())
}curl --request POST \
--url https://api.tryprofound.com/v1/agents/{agent_id}/runs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"inputs": {}
}'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}})
};
fetch('https://api.tryprofound.com/v1/agents/{agent_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"started_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Run an agent
Start a new run for an agent.
Runs always execute the agent’s live published version, so the agent must be
published first with POST /v1/agents/{agent_id}/publish. Unpublished drafts
cannot be run.
POST
/
v1
/
agents
/
{agent_id}
/
runs
Python
import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"),
)
run = client.agents.runs.create(
agent_id="7c9e6679-7425-40de-944b-e07fc1f90ae7",
)
print(run)import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
environment: 'production',
});
const run = await client.agents.runs.create('7c9e6679-7425-40de-944b-e07fc1f90ae7');
console.log(run);use profound::*;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = ProfoundClient::builder()
.api_key(std::env::var("PROFOUND_API_KEY")?)
.build()?;
let response = client
.agents()
.runs()
.create("7c9e6679-7425-40de-944b-e07fc1f90ae7")
.send()
.await?;
println!("{:?}", response);
Ok(())
}Authorizations
APIKeyHeaderBearerAuth
Path Parameters
The ID of the agent to run.
Body
application/json
Request body for starting an agent run.
Input values for the run. Keys should match the property names defined in schema.input. Omit the request body when the agent does not require inputs.
Response
Successful Response
Run details returned after a run request is accepted.
Unique ID for the accepted run.
Unique ID of the agent for this run.
Initial status of the accepted run.
Available options:
queued, running, succeeded, failed, cancelled, skipped, unknown When the run started, if execution began immediately.
Was this page helpful?